System.Web 2.0.0.0 System.Enum

The enumeration is used to represent the data-entry modes of a control. To determine the current mode of the control, use the property. After an insert or update operation, the control returns to the mode specified by the property. By default, the control returns to read-only mode. You can specify an alternate mode to return to by setting the property. To change modes programmatically, use the method. When the control changes modes, the events in the following table are raised.

Event

Description

Occurs when a control attempts to change between edit, insert, and read-only mode, but before the mode actually changes. This event is often used to cancel a mode change.

Occurs after a control has changed from edit, insert, or read-only mode to another mode. This event is often used to perform a task when the control changes modes.

Represents the different data-entry modes of a control.

- Field
  System.Web.UI.WebControls.DetailsViewMode

  An editing mode that allows the user to update the values of an existing record.

  2.0.0.0
- Field
  System.Web.UI.WebControls.DetailsViewMode

  An inserting mode that allows the user to enter the values for a new record.

  2.0.0.0
- Field
  System.Web.UI.WebControls.DetailsViewMode

  A display mode that prevents the user from modifying the values of a record.

  2.0.0.0